unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs,TeeProcs, TeeTree,TreeChildManagers,  TreeEd, ExtCtrls,
  TeCanvas,ComCtrls, Buttons, StdCtrls ;

type
  TForm1 = class(TForm)
    Panel8: TPanel;
    BtExplorator: TSpeedButton;
    BtList: TSpeedButton;
    Track_Zoom: TTrackBar;
    Tree1: TTree;
    BtAlignTopLeft: TSpeedButton;
    LabelZoom: TLabel;
    procedure BtExploratorClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BtListClick(Sender: TObject);
    procedure Track_ZoomChange(Sender: TObject);
    procedure BtAlignTopLeftClick(Sender: TObject);
  private
    { Dclarations prives }

  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

{======================================================

CREATE / DESTROY FORMS

======================================================}

procedure TForm1.FormCreate(Sender: TObject);
begin
  inherited;

    Tree1.AssignParent:=True;
    Track_Zoom.Max:=200;
    Track_Zoom.Position :=100;
    BtExploratorClick(nil);

end;

procedure TForm1.BtExploratorClick(Sender: TObject);
  var i:integer;
begin

  //trace Explorateur
  Tree1.Clear;
  Tree1.ChangeManager(TTreeExplorerAlignChild.Create);  //change format Explo
  Application.ProcessMessages;
  //add Node for exemple
  with Tree1.AddRoot('Root') do begin
    with AddChild('A') do begin
      for i:=1 to 20 do
        AddChild(IntTostr(i));
    end;
    with AddChild('B') do begin
      for i:=1 to 10 do
        AddChild(IntTostr(i));
    end;
    with AddChild('C') do begin
      for i:=1 to 10 do
        AddChild(IntTostr(i));
    end;
  end;
  Tree1.FullExpandCollapse(True);
end;


procedure TForm1.BtListClick(Sender: TObject);
var i:integer;
begin
   // trace ListView
  Tree1.Clear;
  Tree1.ChangeManager(TTreeListViewAlignChild.Create);    //change format ListView
  Application.ProcessMessages;
  //add Node for exmple
  for i:=0 to 99 do
      Tree1.Add('Node '+IntToStr(I));

end;

procedure TForm1.Track_ZoomChange(Sender: TObject);           //Not result  !
begin
  // Change zoom
  Tree1.View3DOptions.Zoom:=Track_Zoom.Position;

  LabelZoom.Caption:=TeeStr(Tree1.View3DOptions.Zoom)+'%';

  //<<<<   HERE  when i Zoom, the tree create offset on TOP and Left, it's  no goodg for user  !!!

end;


procedure TForm1.BtAlignTopLeftClick(Sender: TObject);
begin
 // Reset default view
  Track_Zoom.Position:=100;                //If Zoom return in 100% > ok Vetical Ofset =0
  Tree1.View3DOptions.Zoom:=100;           //<<<    How take for align on TOP and LEFT=0  if  Zoom  <> 100%
  Tree1.View3DOptions.HorizOffset:=0;
  Tree1.View3DOptions.VertOffset:=0;

end;


end.
